/*
import 'dart:ui';
import 'package:eqsheet/data/getEquations.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_tex/flutter_tex.dart';

class Specific extends StatefulWidget {
  String title;
  Color color;
  var classTitle;
  Specific(this.classTitle, this.title, this.color);
  @override
  _SpecificState createState() => _SpecificState(classTitle, title, color);
}

class _SpecificState extends State<Specific> {
  List<int> f = [1, 2, 3];
  String title;
  Color color;
  var classTitle;
  List<int> selectedVars = [];

  _SpecificState(this.classTitle, this.title, this.color);
  @override
  Widget build(BuildContext context) {
    bool dark = MediaQuery.of(context).platformBrightness == Brightness.dark;

    return Scaffold(
      backgroundColor: dark ? Color(0xff2f3136) : Colors.white,
      appBar: PreferredSize(
        preferredSize: Size.fromHeight(80.0), //
        child: AppBar(
          backgroundColor: dark ? Color(0xff2f3136) : Colors.white,
          elevation: 0,
          leading: Container(),
          flexibleSpace: Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: <Widget>[
              Padding(
                padding: const EdgeInsets.only(top: 20),
                child: Container(
                  height: 45,
                  decoration: BoxDecoration(
                    //color: Colors.grey[200],

                      borderRadius: BorderRadius.only(
                          topRight: Radius.circular(8),
                          bottomRight: Radius.circular(8))),
                  child: IconButton(
                    icon: Icon(Icons.arrow_back_ios),
                    onPressed: () {
                      Navigator.of(context).pop();
                    },
                  ),
                ),
              ),
              Padding(
                padding: const EdgeInsets.only(top: 34, right: 14),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.end,
                  children: <Widget>[
                    Text(
                      classTitle.substring(0, 1).toUpperCase() +
                          classTitle.substring(1),
                      style:
                      TextStyle(fontSize: 25, fontWeight: FontWeight.w400),
                    ),
                    Padding(
                      padding: const EdgeInsets.only(top: 3),
                      child: Container(
                        height: 5,
                        width: 25,
                        child: Divider(color: color, thickness: 1.3),
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.only(top: 3),
                      child: Text(
                        title.substring(0, 1).toUpperCase() +
                            title.substring(1),
                        style: TextStyle(fontSize: 20, color: Colors.grey[500]),
                      ),
                    )
                  ],
                ),
              ),
              //decoration: BoxDecoration(color: color),
            ],
          ),
        ),
      ),
      body: SafeArea(
        child: Container(
          child: Column(
            children: <Widget>[
              Padding(
                padding:
                const EdgeInsets.symmetric(horizontal: 10, vertical: 10),
                child: Container(
                  // height: MediaQuery.of(context).size.height - 135,
                  width: MediaQuery.of(context).size.width,
                  child: FutureBuilder<List<EquationGroup>>(
                      future: getEquations(title),
                      builder: (context, snapshot) {
                        if (snapshot.hasData) {
                          return ListView.builder(
                              shrinkWrap: true,
                              //physics: const NeverScrollableScrollPhysics(),

                              //for each group of equations
                              itemCount: snapshot.data.length,
                              itemBuilder: (context, equationGroupIndex) {
                                selectedVars.add(0);
                                return Container(
                                  child: Column(
                                    crossAxisAlignment:
                                    CrossAxisAlignment.start,
                                    children: <Widget>[
                                      Container(
                                        height:
                                        equationGroupIndex == 0 ? 0 : 20,
                                      ),
                                      Container(
                                        //width:  800,
                                        height: 45,
                                        child: ListView.builder(
                                            physics:
                                            const NeverScrollableScrollPhysics(),
                                            //for each group of equations
                                            scrollDirection: Axis.horizontal,
                                            itemCount: snapshot
                                                .data[equationGroupIndex]
                                                .varibles
                                                .length,
                                            itemBuilder:
                                                (context, variableIndex) {
                                              return GestureDetector(
                                                child: Padding(
                                                  padding:
                                                  const EdgeInsets.only(
                                                      right: 5.0),
                                                  child: ConstrainedBox(
                                                    constraints:
                                                    new BoxConstraints(
                                                      minWidth: 37.0,
                                                    ),
                                                    child: Container(
                                                      decoration: BoxDecoration(
                                                        border: Border.all(
                                                            color: color,
                                                            width: 1.3),
                                                        borderRadius:
                                                        BorderRadius.all(
                                                          Radius.circular(7),
                                                        ),
                                                      ),
                                                      child: Center(
                                                          child: Padding(
                                                            padding:
                                                            const EdgeInsets
                                                                .symmetric(
                                                                horizontal: 9),
                                                            child: Text(
                                                              snapshot
                                                                  .data[
                                                              equationGroupIndex]
                                                                  .varibles[
                                                              variableIndex],
                                                              style: TextStyle(
                                                                  color: dark
                                                                      ? Colors.white
                                                                      : Colors
                                                                      .black,
                                                                  fontSize: 19),
                                                            ),
                                                          )),
                                                    ),
                                                  ),
                                                ),
                                                onTap: () {
                                                  setState(() {
                                                    selectedVars[equationGroupIndex] =
                                                        variableIndex;
                                                  });
                                                },
                                              );
                                            }),
                                      ),
                                      Container(
                                        height: 8,
                                      ),
                                      Container(
                                        //color: Colors.red,
                                        height: snapshot
                                            .data[equationGroupIndex]
                                            .equations
                                            .length *
                                            25.0,
                                        margin: EdgeInsets.all(0),
                                        width:
                                        MediaQuery.of(context).size.width,
                                        child: ListView.builder(
                                            physics:
                                            const NeverScrollableScrollPhysics(),

                                            //for each equation in group
                                            scrollDirection: Axis.vertical,
                                            itemCount: snapshot
                                                .data[equationGroupIndex]
                                                .equations
                                                .length,
                                            itemBuilder:
                                                (context, equationIndex) {
                                              var f = (snapshot.data[equationGroupIndex].equations)[equationIndex].toString();
                                              return equationIndex ==
                                                  selectedVars[
                                                  equationGroupIndex]
                                                  ? Column(
                                                children: <Widget>[
                                                  Text(f),
                                                  TeXView(
                                                    showLoadingWidget: true,
                                                    renderingEngine:
                                                    TeXViewRenderingEngine
                                                        .katex(),
                                                    children: [
                                                      TeXViewContainer(
                                                        children: [
                                                          TeXViewTeX(
                                                            f,
                                                            style:
                                                            TeXViewStyle(
                                                              backgroundColor: dark
                                                                  ? Color(
                                                                  0xff2f3136)
                                                                  : Colors
                                                                  .white,
                                                              contentColor: dark
                                                                  ? Colors
                                                                  .white
                                                                  : Colors
                                                                  .black,
                                                            ),
                                                          )
                                                        ],
                                                      ),
                                                    ],

                                                    loadingWidget: Center(
                                                        child:
                                                        CircularProgressIndicator()),
                                                  ),
                                                  //Text(f  + "SS"),
                                                ],
                                              )
                                                  : Container(
                                                height: 0,
                                              );
                                            }),
                                      ),
                                    ],
                                  ),
                                );
                              });
                        } else {
                          return Text("");
                        }
                      }),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}*/
